// vi: set ts=4 sw=4 :
// vim: set tw=75 :

// LogEvents.h - defines and functions for dealing with log event codes

/**
*  Copyright (c) 2001, Will Day <willday@hpgx.net>, Tim Thelin <kndroc@hotmail.com>,
*  Pieter de Zwart <pdezwart@scu.edu>, David Mart
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*   In addition, as a special exception, <name of copyright
*   holder> gives permission to link the code of this program with
*   the FOO library (or with modified versions of FOO that use the
*   same license as FOO), and distribute linked combinations including
*   the two.  You must obey the GNU General Public License in all
*   respects for all of the code used other than FOO.  If you modify
*   this file, you may extend this exception to your version of the
*   file, but you are not obligated to do so.  If you do not wish to
*   do so, delete this exception statement from your version.
*
**/

/**
* This file is part of Log Daemon.
*
*   Log Daemon is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*
*   Log Daemon is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Log Daemon; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/

#include "LogEvents.h"

char*  transName( int id )
{
	switch( id )
	{
		case LMSG_CVAR:
			return "Cvar";
		case LMSG_LOG:
			return "Log";
		case LMSG_MAP:
			return "Map";
		case LMSG_RCON:
			return "Rcon";
		case LMSG_SERVER_NAME:
			return "Server Name";
		case LMSG_SERVER_SAY:
			return "Server Chat";
		case LMSG_CONNECT:
			return "Connect";
		case LMSG_ENTER_GAME:
			return "Enter";
		case LMSG_DISCONNECT:
			return "Disconnect";
		case LMSG_SUICIDE:
			return "Suicide";
		case LMSG_TEAM_SELECT:
			return "Team Selection";
		case LMSG_ROLE_SELECT:
			return "Role Selection";
		case LMSG_NAME_CHANGE:
			return "Name";
		case LMSG_KILL:
			return "Kill";
		case LMSG_INJURY:
			return "Injury";
		case LMSG_PVP:
			return "PvP Action";
		case LMSG_PLAYER_ACTION:
			return "Player Action";
		case LMSG_TEAM_ACTION:
			return "Team Action";
		case LMSG_WORLD_ACTION:
			return "World Action";
		case LMSG_CHAT:
			return "Player Chat";
		case LMSG_TEAM_ALLIANCE:
			return "Team Alliance.";
		case LMSG_TEAM_SCORE:
			return "Team Score";
		case LMSG_PRIVATE_CHAT:
			return "Private Chat";
		default:
			return "N/A";
	}
}



