// vi: set ts=4 sw=4 :
// vim: set tw=75 :

// LogEvents.h - defines and functions for dealing with log event codes

/**
*  Copyright (c) 2001, Will Day <willday@hpgx.net>, Tim Thelin <kndroc@hotmail.com>,
*  Pieter de Zwart <pdezwart@scu.edu>, David Mart
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
*   In addition, as a special exception, <name of copyright
*   holder> gives permission to link the code of this program with
*   the FOO library (or with modified versions of FOO that use the
*   same license as FOO), and distribute linked combinations including
*   the two.  You must obey the GNU General Public License in all
*   respects for all of the code used other than FOO.  If you modify
*   this file, you may extend this exception to your version of the
*   file, but you are not obligated to do so.  If you do not wish to
*   do so, delete this exception statement from your version.
*
**/

/**
* This file is part of Log Daemon.
*
*   Log Daemon is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*
*   Log Daemon is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with Log Daemon; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**/

#ifndef LOG_EVENTS_H
#define LOG_EVENTS_H

#define HIGHEST_EVENT_CODE 66

#define LOWEST_EVENT_CODE 1


#define LMSG_CVAR 1
#define LMSG_LOG 2
#define LMSG_MAP 3
#define LMSG_RCON 4
#define LMSG_SERVER_NAME 5
#define LMSG_SERVER_SAY 6
#define LMSG_CONNECT 50
#define LMSG_ENTER_GAME 51
#define LMSG_DISCONNECT 52
#define LMSG_SUICIDE 53
#define LMSG_TEAM_SELECT 54
#define LMSG_ROLE_SELECT 55
#define LMSG_NAME_CHANGE 56
#define LMSG_KILL 57
#define LMSG_INJURY 58
#define LMSG_PVP 59
#define LMSG_PLAYER_ACTION 60
#define LMSG_TEAM_ACTION 61
#define LMSG_WORLD_ACTION 62
#define LMSG_CHAT 63
#define LMSG_TEAM_ALLIANCE 64
#define LMSG_TEAM_SCORE 65
#define LMSG_PRIVATE_CHAT 66



char* transName( int id );

#endif /* LOG_EVENTS_H */

